service: readdb

frameworkVersion: '3'

provider:
  name: aws
  runtime: nodejs18.x
  region: ap-southeast-2
  stage: dev
  deploymentBucket:
    name: bigpond-serverless-deployment
    serverSideEncryption: AES256  
  iam:
    role: arn:aws:iam::173510526870:role/bigpondLambdaRole672490e5-dev  # must validly reference a role defined in your account
  vpc:
    securityGroupIds:
      - sg-0bf09b847f27ef29c
    subnetIds:
      - subnet-046f4d336cfd7071e
      - subnet-0a8e823399dcc5b1f

functions:
  handler:
    handler: index.handler
    name: readdb
    description: readdb
    memorySize: 512 # optional, in MB, default is 1024
    timeout: 10 # optional, in seconds, default is 6    